--[[
LuCI - Lua Configuration Interface

Copyright 2008 Steven Barth <steven@midlink.org>
Copyright 2008 Jo-Philipp Wich <xm@leipzig.freifunk.net>

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

$Id: nfs.lua 3972 2009-01-01 13:32:57Z Cyrus $
]]--

m = Map("nfs",translate("NFS Server"))

s = m:section(TypedSection, "nfsshare", translate("Shared directories"))
s.anonymous = true
s.addremove = true
s.template = "cbi/tblsection"
s.sortable = true

s:option(Value, "name", translate("Name")).titleref = luci.dispatcher.build_url("admin", "system", "fstab")
s:option(Value, "clients", translate("clients")).rmempty = true
s:option(Value, "options", translate("options")).rmempty = true

ena = s:option(Flag, "enabled", translate("Enable"))
-- ena.rmempty = true
-- ena.enabled = "yes"
-- ena.disabled = "no"

--s = m:section(TypedSection, "server",translate("Server"))
--s.anonymous = true
--s.template = "cbi/tblsection"

nfsden = s:option(Flag, "enabled",translate("Enable"))
-- nfsden.enabled = "yes"
-- nfsden.disabled = "no"
nfsden.rmempty = false

-- rpc_nfsd_count = s:option(Value, "rpcnfsdcount",translate("Number of servers"),translate("rpcnfsdcount") )
-- rpc_nfsd_count.size = "3"
-- rpc_nfsd_count.rmempty = true

-- rpc_priority = s:option(Value, "rpcnfsdpriority",translate("Runtime priority"),translate("rpcnfsdpriority"))
-- rpc_priority.size = "3"
-- rpc_priority.rmempty = true

-- rpc_mount_opts = s:option(Value, "rpcmountdopts",translate("rpc.mountd options"),translate("rpcmountdopts"))
-- rpc_mount_opts.rmempty = true

-- rpc_svcgssd_need = s:option(Flag, "needsvcgssd",translate("svcgssd daemon"),translate("needsvcgssd"))
-- rpc_svcgssd_need.enabled = "yes"
-- rpc_svcgssd_need.disabled = "no"
-- rpc_svcgssd_need.rmempty = true

-- rpc_svcgssd_opts = s:option(Value, "rpcsvcgssdopts",translate("rpc.svcgssd options"),translate("rpcsvcgssdopts"))
-- rpc_svcgssd_opts.rmempty = true

return m
