--[[
LuCI - Lua Configuration Interface

Copyright 2008 Frederic Pecourt

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

$Id: rsync.lua 3972 2009-01-01 13:32:57Z Cyrus $
]]--

m = Map("rsync",translate("Rsync Server"))

s = m:section(TypedSection, "rsyncshare", translate("Shared directories"))
s.anonymous = true
s.addremove = true
s.template = "cbi/tblsection"
s.sortable = true
s:option(Value, "name", translate("Share Name"))
pth = s:option(Value, "path", translate("Path"), translate("Physical Path"))
if nixio.fs.access("/etc/config/fstab") then
        pth.titleref = luci.dispatcher.build_url("admin", "system", "fstab")
end
s:option(Value, "clients", translate("Machine Clients")).rmempty = true
s:option(Value, "options", translate("Export Options")).rmempty = true

ena = s:option(Flag, "enable", translate("Enable"))
-- ena.rmempty = true
-- ena.enabled = "yes"
-- ena.disabled = "no"

s = m:section(TypedSection, "server", translate("Server Configuration"), translate("Prefered way: leave disabled and fill rsync in the xinetd services"))
s.anonymous = true
s.template = "cbi/tblsection"

rsyncden = s:option(Flag, "enabled", translate("Enable standalone"))

-- rsyncden.enabled = "yes"
-- rsyncden.disabled = "no"
rsyncden.rmempty = false

rsyncdopts = s:option(Value, "opts", translate("Options") )
rsyncdopts.size = "15"
rsyncdopts.rmempty = false

return m
